// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
  event.remove({ output: 'armageddon_mod:bloody_armor_helmet' })
  event.remove({ input: 'armageddon_mod:bloody_armor_helmet' })
  event.remove({ output: 'armageddon_mod:bloody_armor_chestplate' })
  event.remove({ input: 'armageddon_mod:bloody_armor_chestplate' })
  event.remove({ output: 'armageddon_mod:bloody_armor_leggings' })
  event.remove({ input: 'armageddon_mod:bloody_armor_leggings' })
  event.remove({ output: 'armageddon_mod:bloody_armor_boots' })
  event.remove({ input: 'armageddon_mod:bloody_armor_boots' })

  event.remove({ output: 'armageddon_mod:bloody_sword' })
  event.remove({ input: 'armageddon_mod:bloody_sword' })
  event.remove({ output: 'armageddon_mod:bloody_pickaxe' })
  event.remove({ input: 'armageddon_mod:bloody_pickaxe' })
  event.remove({ output: 'armageddon_mod:bloody_axe' })
  event.remove({ input: 'armageddon_mod:bloody_axe' })
  event.remove({ output: 'armageddon_mod:bloody_hoe' })
  event.remove({ input: 'armageddon_mod:bloody_hoe' })
  event.remove({ output: 'armageddon_mod:bloody_shovel' })
  event.remove({ input: 'armageddon_mod:bloody_shovel' })
  event.remove({ output: 'armageddon_mod:bloody_scythe' })
  event.remove({ input: 'armageddon_mod:bloody_scythe' })
  

  event.remove({ output: 'armageddon_mod:helionite_armor_helmet' })
  event.remove({ input: 'armageddon_mod:helionite_armor_helmet' })
  event.remove({ output: 'armageddon_mod:helionite_armor_chestplate' })
  event.remove({ input: 'armageddon_mod:helionite_armor_chestplate' })
  event.remove({ output: 'armageddon_mod:helionite_armor_leggings' })
  event.remove({ input: 'armageddon_mod:helionite_armor_leggings' })
  event.remove({ output: 'armageddon_mod:helionite_armor_boots' })
  event.remove({ input: 'armageddon_mod:helionite_armor_boots' })

  event.remove({ output: 'armageddon_mod:elvenite_armor_helmet' })
  event.remove({ input: 'armageddon_mod:elvenite_armor_helmet' })
  event.remove({ output: 'armageddon_mod:elvenite_armor_chestplate' })
  event.remove({ input: 'armageddon_mod:elvenite_armor_chestplate' })
  event.remove({ output: 'armageddon_mod:elvenite_armor_leggings' })
  event.remove({ input: 'armageddon_mod:elvenite_armor_leggings' })
  event.remove({ output: 'armageddon_mod:elvenite_armor_boots' })
  event.remove({ input: 'armageddon_mod:elvenite_armor_boots' })

  event.remove({ output: 'armageddon_mod:voiderite_armor_helmet' })
  event.remove({ input: 'armageddon_mod:voiderite_armor_helmet' })
  event.remove({ output: 'armageddon_mod:voiderite_armor_chestplate' })
  event.remove({ input: 'armageddon_mod:voiderite_armor_chestplate' })
  event.remove({ output: 'armageddon_mod:voiderite_armor_leggings' })
  event.remove({ input: 'armageddon_mod:voiderite_armor_leggings' })
  event.remove({ output: 'armageddon_mod:voiderite_armor_boots' })
  event.remove({ input: 'armageddon_mod:voiderite_armor_boots' })

  event.remove({ output: 'armageddon_mod:elvenite_sword' })
  event.remove({ input: 'armageddon_mod:elvenite_sword' })
  event.remove({ output: 'armageddon_mod:elvenite_pickaxe' })
  event.remove({ input: 'armageddon_mod:elvenite_pickaxe' })
  event.remove({ output: 'armageddon_mod:elvenite_axe' })
  event.remove({ input: 'armageddon_mod:elvenite_axe' })
  event.remove({ output: 'armageddon_mod:elvenite_hoe' })
  event.remove({ input: 'armageddon_mod:elvenite_hoe' })
  event.remove({ output: 'armageddon_mod:elvenite_shovel' })
  event.remove({ input: 'armageddon_mod:elvenite_shovel' })

  event.remove({ output: 'armageddon_mod:voiderite_sword' })
  event.remove({ input: 'armageddon_mod:voiderite_sword' })
  event.remove({ output: 'armageddon_mod:voiderite_pickaxe' })
  event.remove({ input: 'armageddon_mod:voiderite_pickaxe' })
  event.remove({ output: 'armageddon_mod:voiderite_axe' })
  event.remove({ input: 'armageddon_mod:voiderite_axe' })
  event.remove({ output: 'armageddon_mod:voiderite_hoe' })
  event.remove({ input: 'armageddon_mod:voiderite_hoe' })
  event.remove({ output: 'armageddon_mod:voiderite_shovel' })
  event.remove({ input: 'armageddon_mod:voiderite_shovel' })


  event.remove({ output: 'armageddon_mod:helionite_sword' })
  event.remove({ input: 'armageddon_mod:helionite_sword' })
  event.remove({ output: 'armageddon_mod:helionite_pickaxe' })
  event.remove({ input: 'armageddon_mod:helionite_pickaxe' })
  event.remove({ output: 'armageddon_mod:helionite_axe' })
  event.remove({ input: 'armageddon_mod:helionite_axe' })
  event.remove({ output: 'armageddon_mod:helionite_shovel' })
  event.remove({ input: 'armageddon_mod:helionite_shovel' })
  event.remove({ output: 'armageddon_mod:helionite_hoe' })
  event.remove({ input: 'armageddon_mod:helionite_hoe' })
});

ServerEvents.recipes(event => {
    event.smithing(
      'armageddon_mod:bloody_armor_helmet',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:calamitous_armor_helmet',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_armor_chestplate',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:calamitous_armor_chestplate',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_armor_leggings',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:calamitous_armor_leggings',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_armor_boots',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:calamitous_armor_boots',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_sword',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_sword',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_pickaxe',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_pickaxe',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_axe',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_axe',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_shovel',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_shovel',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:bloody_hoe',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_hoe',
      'armageddon_mod:bloody_ingot'
    )
    
    event.smithing(
      'armageddon_mod:bloody_scythe',
      'ancient_elements:infernal_smithing_template',
      'armageddon_mod:voiderite_scythe',
      'armageddon_mod:bloody_ingot'
    )

    event.smithing(
      'armageddon_mod:calamitous_armor_helmet',
      'armageddon_mod:calamitous_smithing_template',
      'armageddon_mod:voiderite_armor_helmet',
      'armageddon_mod:calamitous_core'
    )

    event.smithing(
      'armageddon_mod:calamitous_armor_chestplate',
      'armageddon_mod:calamitous_smithing_template',
      'armageddon_mod:voiderite_armor_chestplate',
      'armageddon_mod:calamitous_core'
    )

    event.smithing(
      'armageddon_mod:calamitous_armor_leggings',
      'armageddon_mod:calamitous_smithing_template',
      'armageddon_mod:voiderite_armor_leggings',
      'armageddon_mod:calamitous_core'
    )

    event.smithing(
      'armageddon_mod:calamitous_armor_boots',
      'armageddon_mod:calamitous_smithing_template',
      'armageddon_mod:voiderite_armor_boots',
      'armageddon_mod:calamitous_core'
    )



    event.smithing(
      'armageddon_mod:helionite_armor_helmet',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_armor_helmet',
      'armageddon_mod:helionite_ingot'
    )

    event.smithing(
      'armageddon_mod:helionite_armor_chestplate',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_armor_chestplate',
      'armageddon_mod:helionite_ingot'
    )

    event.smithing(
      'armageddon_mod:helionite_armor_leggings',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_armor_leggings',
      'armageddon_mod:helionite_ingot'
    )

    event.smithing(
      'armageddon_mod:helionite_armor_boots',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_armor_boots',
      'armageddon_mod:helionite_ingot'
    )


    event.smithing(
      'armageddon_mod:elvenite_armor_helmet',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_helmet',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_armor_chestplate',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_chestplate',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_armor_leggings',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_leggings',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_armor_boots',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_boots',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_sword',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_sword',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_pickaxe',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_pickaxe',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_axe',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_axe',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_shovel',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_shovel',
      'armageddon_mod:elvenite_ingot'
    )

    event.smithing(
      'armageddon_mod:elvenite_hoe',
      'minecraft:netherite_upgrade_smithing_template',
      'advancednetherite:netherite_iron_hoe',
      'armageddon_mod:elvenite_ingot'
    )


    event.smithing(
      'armageddon_mod:helionite_sword',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_sword',
      'armageddon_mod:helionite_ingot'
    )
    event.smithing(
      'armageddon_mod:helionite_pickaxe',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_pickaxe',
      'armageddon_mod:helionite_ingot'
    )
    event.smithing(
      'armageddon_mod:helionite_axe',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_axe',
      'armageddon_mod:helionite_ingot'
    )
    event.smithing(
      'armageddon_mod:helionite_shovel',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_shovel',
      'armageddon_mod:helionite_ingot'
    )
    event.smithing(
      'armageddon_mod:helionite_hoe',
      'armageddon_mod:helionite_smithing_template',
      'armageddon_mod:bloody_hoe',
      'armageddon_mod:helionite_ingot'
    )



    event.smithing(
      'armageddon_mod:voiderite_armor_helmet',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_armor_helmet',
      'armageddon_mod:voiderite'
    )

    event.smithing(
      'armageddon_mod:voiderite_armor_chestplate',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_armor_chestplate',
      'armageddon_mod:voiderite'
    )

    event.smithing(
      'armageddon_mod:voiderite_armor_leggings',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_armor_leggings',
      'armageddon_mod:voiderite'
    )

    event.smithing(
      'armageddon_mod:voiderite_armor_boots',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_armor_boots',
      'armageddon_mod:voiderite'
    )


    event.smithing(
      'armageddon_mod:voiderite_sword',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_sword',
      'armageddon_mod:voiderite'
    )
    event.smithing(
      'armageddon_mod:voiderite_pickaxe',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_pickaxe',
      'armageddon_mod:voiderite'
    )
    event.smithing(
      'armageddon_mod:voiderite_axe',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_axe',
      'armageddon_mod:voiderite'
    )
    event.smithing(
      'armageddon_mod:voiderite_shovel',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_shovel',
      'armageddon_mod:voiderite'
    )
    event.smithing(
      'armageddon_mod:voiderite_hoe',
      'minecraft:netherite_upgrade_smithing_template',
      'armageddon_mod:elvenite_hoe',
      'armageddon_mod:voiderite'
    )
});